QScintilla: QsciLexerNASM Class Reference

QScintilla 2.14.1

Public Member Functions | List of all members
QsciLexerNASM Class Reference

`#include <qscilexernasm.h>`

Inherits QsciLexerAsm.

## Public Member Functions
| QsciLexerNASM (QObject *parent=0)
virtual | ~QsciLexerNASM ()
const char * | language () const
const char * | lexer () const
Public Member Functions inherited from QsciLexerAsm
| QsciLexerAsm (QObject *parent=0)
virtual | ~QsciLexerAsm ()
QColor | defaultColor (int style) const
bool | defaultEolFill (int style) const
QFont | defaultFont (int style) const
QColor | defaultPaper (int style) const
const char * | keywords (int set) const
QString | description (int style) const
void | refreshProperties ()
bool | foldComments () const
bool | foldCompact () const
QChar | commentDelimiter () const
bool | foldSyntaxBased () const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual const char * | autoCompletionFillups () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual const char * | blockEnd (int *style=0) const
virtual int | blockLookback () const
virtual const char * | blockStart (int *style=0) const
virtual const char * | blockStartKeyword (int *style=0) const
virtual int | braceStyle () const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
QFont | defaultFont () const
QColor | defaultPaper () const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual int | styleBitsNeeded () const
virtual const char * | wordCharacters () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Additional Inherited Members
Public Types inherited from QsciLexerAsm
enum | { Default = 0, Comment = 1, Number = 2, DoubleQuotedString = 3, Operator = 4, Identifier = 5, CPUInstruction = 6, FPUInstruction = 7, Register = 8, Directive = 9, DirectiveOperand = 11, BlockComment = 12, SingleQuotedString = 13, UnclosedString = 14, ExtendedInstruction = 16, CommentDirective = 17 }
Public Slots inherited from QsciLexerAsm
virtual void | setFoldComments (bool fold)
virtual void | setFoldCompact (bool fold)
virtual void | setCommentDelimiter (QChar delimeter)
virtual void | setFoldSyntaxBased (bool syntax_based)
Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)
Protected Member Functions inherited from QsciLexerAsm
bool | readProperties (QSettings &qs, const QString &prefix)
bool | writeProperties (QSettings &qs, const QString &prefix) const
Protected Member Functions inherited from QsciLexer
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Detailed Description

The QsciLexerNASM class encapsulates the Scintilla NASM lexer.

## Constructor & Destructor Documentation

## ◆ QsciLexerNASM()

QsciLexerNASM::QsciLexerNASM | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerNASM with parent parent. parent is typically the QsciScintilla instance.